# qt5ct
export QT_QPA_PLATFORMTHEME=qt5ct
export QT_AUTO_SCREEN_SCALE_FACTOR=1

# waybar
export XDG_CURRENT_DESKTOP=sway

# gtk
export GTK_THEME=Materia:dark

# ibus
export GTK_IM_MODULE=fcitx
export XMODIFIERS=@im=fcitx
export QT_IM_MODULE=fcitx

# set neovim as default editor
export VISUAL=nvim
export EDITOR=nvim

# git
export GIT_DISCOVERY_ACROSS_FILESYSTEM=true

# General wayland environment variables
export XDG_SESSION_TYPE=wayland
export QT_QPA_PLATFORM=wayland
# export QT_WAYLAND_DISABLE_WINDOWDECORATION=1
# Firefox wayland environment variable
export MOZ_ENABLE_WAYLAND=1
export MOZ_USE_XINPUT2=1

